%define upstream_name    Msgcat
%define upstream_version 1.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 22

Summary:	Msgcat, a small Perl module for XPG4 message catalog functions
License:	GPL
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel


%description
This is Msgcat, a small Perl modules for systems which support the XPG4 message
catalog functions : catopen(3), catgets(3) and catclose(4).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# for docs files (fpons)
chmod 0644 README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/Locale
%{perl_vendorarch}/auto/Locale


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.30.0-22.mga8
+ Revision: 1594933
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.30.0-21.mga8
+ Revision: 1529856
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.30.0-20.mga8
+ Revision: 1433841
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.30.0-19.mga7
+ Revision: 1293533
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.30.0-18.mga7
+ Revision: 1249201
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.30.0-17.mga7
+ Revision: 1165826
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.30.0-16.mga7
+ Revision: 1149086
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.30.0-15.mga7
+ Revision: 1127523
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-14.mga6
+ Revision: 1030824
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.30.0-13.mga6
+ Revision: 957777
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 sander85 <sander85> 1.30.0-12.mga6
+ Revision: 842581
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-11.mga5
+ Revision: 743521
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-10.mga5
+ Revision: 685608
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.30.0-9.mga5
+ Revision: 631453
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.30.0-8.mga4
+ Revision: 524947
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.30.0-7.mga4
+ Revision: 431665
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-6.mga3
+ Revision: 370410
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.30.0-5.mga3
+ Revision: 250963
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.30.0-4.mga2
+ Revision: 104793
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.30.0-3.mga1
+ Revision: 30870
- mageia rebuild
- imported package perl-Msgcat


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.30.0-3mdv2011.0
+ Revision: 564548
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-2mdv2011.0
+ Revision: 556011
- rebuild for perl 5.12

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.1
+ Revision: 407810
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.03-20mdv2009.0
+ Revision: 223846
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.03-19mdv2008.1
+ Revision: 152213
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.03-18mdv2008.0
+ Revision: 23336
- rebuild


* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 1.03-17mdk
-_rebuild_for_sparc

* Thu Nov 18 2004 Michael Scherer <misc@mandrake.org> 1.03-16mdk
- Rebuild for new perl

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.03-15mdk
- Own dir

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.03-14mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.03-13mdk
- rebuild for new auto{prov,req}

